<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//    2003/06/02 creation
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////

$cols = 9;

$IDLE = 0;
$DESCRIPTOR = 1;
$COMPONENT = 2;

////////////////////////////////////////////////////////////////////////////////////////////////////////////

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<HTML>
	<HEAD>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
		<META NAME="Author" LANG="fr" CONTENT="ROHRBACHER Charles">
		<META NAME="Robots" CONTENT="index, follow">
		<META NAME="revisit-after" CONTENT="15 days">
		<META NAME="Copyright" CONTENT="2003 Charles ROHRBACHER">
		<META NAME="Description" CONTENT="description">
		<META NAME="Keywords" CONTENT="keywords">

		<! LINK HREF="genelist.css" REL="stylesheet" TYPE="text/css">
		<STYLE TYPE="text/css">
			BODY {
				background: #CCCCCC;
			}
			TD.title {
				font-family: Verdana;
				font-size: 16px;
				font-weight: bold;
				color: #000000;
			}
			TD {
				font-family: Verdana;
				font-size: 10px;
				color: #000000;
			}
			TD.item {
				font-family: Verdana;
				font-size: 10px;
				font-weight: bold;
				text-align: right;
				color: #000000;
			}
			TD.data {
				font-family: Verdana;
				font-size: 10px;
				text-align: left;
				color: #000000;
				background-color: #FFFFFF;
			}
			TD.comment {
				font-family: Verdana;
				font-size: 10px;
				font-style: italic;
				text-align: left;
				color: #000000;
			}
			TH {
				font-family: Verdana;
				font-size: 10px;
				font-weight: bold;
				color: #000000;
				background-color: #CCCCCC;
			}
			A.name:link {
				color: #000000;
				text-decoration: none;
			}
			A.name:visited {
				color: #000000;
				text-decoration: none;
			}
			A.name:hover {
				color: #000000;
				text-decoration: none;
			}
			A.name:active {
				color: #000000;
				text-decoration: none;
			}
		</STYLE>

<?php
		echo "\t\t<TITLE>Cr&eacute;ation des fichiers Adc0203.sch &agrave; Adc1415.sch</TITLE>\n";
?>
	</HEAD>

	<BODY>

<!-- ############################################################################### -->

<?php
//	print_r($GLOBALS);

//	-------------------

	$thisfile = "DupAdc02-15_02.php";

//	-------------------

	$directory = "D:\\Produits-KICAD\\TestDup\\";

	if (!is_dir($directory)) {
		echo "r&eacute;pertoire ".$directory." non trouv&eacute;<br>";
		die("Conversion impossible !<br>");
	}

	$file[0] = $directory."Adc0001.sch";
	$file[1] = $directory."Adc0203.sch";
	$file[2] = $directory."Adc0405.sch";
	$file[3] = $directory."Adc0607.sch";
	$file[4] = $directory."Adc0809.sch";
	$file[5] = $directory."Adc1011.sch";
	$file[6] = $directory."Adc1213.sch";
	$file[7] = $directory."Adc1415.sch";

	// ouverture des fichiers ///////////////////////////////////////

	$fd[0] = fopen($file[0], "r");

	if (!$fd[0]){
		echo "fichier: ".$file[0]." non trouv&eacute;<br>";
		die("Conversion impossible !<br>");
	} else {
		echo "<b>Conversion de ".$file[0]." en :<br></b>";
	}

	for ($i = 1; $i <= 7; $i++) {
		$fd[$i] = fopen($file[$i], "w");

		if (!$fd[$i]){
			echo "fichier: ".$file[$i]." non cr&eacute;e<br>";
			die("Conversion impossible !<br>");
		} else {
			echo "<b>".$file[$i]."<br></b>";
		}
	}

	// lecture et criture des fichiers /////////////////////////////

	while (!feof($fd[0])) {
		$buffer[0] = fgets($fd[0], 1024);
/*
$status = strlen($buffer[0]);
echo "&nbsp;0[".$status."]";
echo "buffer[0]: ".$buffer[0]." <br>";
*/
		for($i = 1; $i <= 7; $i++) {
			$page = "2" /* + $i */;
			$first = sprintf("%02d", (2 * $i));
			$second = sprintf("%02d", ((2 * $i) + 1));

			if($i < 4) {
				$n1 = 20 * $i;
				$n2 = $n1 + 10;
			} else {
				$n2 = 20 * $i - 80;
				$n1 = $n2 + 10;
//				$n1 = 20 * $i - 80;
//				$n2 = $n1 + 10;
			}

			if(strncmp($buffer[0], "Title ", 6) == 0) {
				$buffer[$i] = ereg_replace("00/01", $first."/".$second, $buffer[0]);
				$buffer[$i] = ereg_replace("0001", $first.$second, $buffer[$i]);
			} else if(strncmp($buffer[0], "DOUT19", 6) == 0) {
				$n2 += 9;
				$buffer[$i] = ereg_replace("DOUT19", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT18", 6) == 0) {
				$n2 += 8;
				$buffer[$i] = ereg_replace("DOUT18", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT17", 6) == 0) {
				$n2 += 7;
				$buffer[$i] = ereg_replace("DOUT17", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT16", 6) == 0) {
				$n2 += 6;
				$buffer[$i] = ereg_replace("DOUT16", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT15", 6) == 0) {
				$n2 += 5;
				$buffer[$i] = ereg_replace("DOUT15", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT14", 6) == 0) {
				$n2 += 4;
				$buffer[$i] = ereg_replace("DOUT14", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT13", 6) == 0) {
				$n2 += 3;
				$buffer[$i] = ereg_replace("DOUT13", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT12", 6) == 0) {
				$n2 += 2;
				$buffer[$i] = ereg_replace("DOUT12", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT11", 6) == 0) {
				$n2 += 1;
				$buffer[$i] = ereg_replace("DOUT11", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT10", 6) == 0) {
				$buffer[$i] = ereg_replace("DOUT10", "DOUT".$n2, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT9", 5) == 0) {
				$n1 += 9;
				$buffer[$i] = ereg_replace("DOUT9", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT8", 5) == 0) {
				$n1 += 8;
				$buffer[$i] = ereg_replace("DOUT8", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT7", 5) == 0) {
				$n1 += 7;
				$buffer[$i] = ereg_replace("DOUT7", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT6", 5) == 0) {
				$n1 += 6;
				$buffer[$i] = ereg_replace("DOUT6", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT5", 5) == 0) {
				$n1 += 5;
				$buffer[$i] = ereg_replace("DOUT5", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT4", 5) == 0) {
				$n1 += 4;
				$buffer[$i] = ereg_replace("DOUT4", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT3", 5) == 0) {
				$n1 += 3;
				$buffer[$i] = ereg_replace("DOUT3", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT2", 5) == 0) {
				$n1 += 2;
				$buffer[$i] = ereg_replace("DOUT2", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT1", 5) == 0) {
				$n1 += 1;
				$buffer[$i] = ereg_replace("DOUT1", "DOUT".$n1, $buffer[0]);
			} else if(strncmp($buffer[0], "DOUT0", 5) == 0) {
				$buffer[$i] = ereg_replace("DOUT0", "DOUT".$n1, $buffer[0]);
			} else {
				$buffer[$i] = ereg_replace("C200", "C".$page.$first, $buffer[0]);
				$buffer[$i] = ereg_replace("C201", "C".$page.$second, $buffer[$i]);

				$buffer[$i] = ereg_replace("R200", "R".$page.$first, $buffer[$i]);
				$buffer[$i] = ereg_replace("R201", "R".$page.$second, $buffer[$i]);

				$buffer[$i] = ereg_replace("U200", "U".$page.$first, $buffer[$i]);
				$buffer[$i] = ereg_replace("U201", "U".$page.$second, $buffer[$i]);

			}

			$status = fputs($fd[$i], $buffer[$i]);

			if(strcmp($buffer[$i], $buffer[0]) != 0) {
				echo "&nbsp;".$i."[".$status."]";
				echo "buffer[".$i."]: ".$buffer[$i]." <br>";
			}

//			if(!$status){
//				echo "fichier: ".$file[$i]." erreur d'&eacute;criture<br>";
//				die("Conversion impossible !<br>");
//			}


		}
	}

	// fermeture des fichiers ///////////////////////////////////////

	for ($i = 0; $i <= 7; $i++) {
		fclose($fd[$i]);
	}

	die("Conversion finie !");

?>

<!-- ############################################################################### -->

	</BODY>
</HTML>
